Name:          python-traitlets
Version:       5.0.5
Release:       2mamba
Summary:       A lightweight, simple, pure Python derivative of Enthought Traits
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://github.com/ipython/traitlets
Source:        https://pypi.debian.net/traitlets/traitlets-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Requires:      python-decorator

%description
This Python module is designed to provide a lightweight, simple, pure Python version of many of the capabilities of enthought.traits.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n traitlets-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{python_sitearch}/traitlets-%{version}-py*.egg-info
%doc README.md

%changelog
* Sat Apr 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.5-2mamba
- rebuilt with distdeps

* Wed Jan 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.5-1mamba
- update to 5.0.5

* Tue Oct 22 2019 Automatic Build System <autodist@mambasoft.it> 4.3.3-1mamba
- automatic version update by autodist

* Mon Mar 06 2017 Automatic Build System <autodist@mambasoft.it> 4.3.2-1mamba
- automatic version update by autodist

* Sun Oct 16 2016 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Davide Madrisan <davide.madrisan@gmail.com> 4.1.0-1mamba
- package created using the webbuild interface
